{
  "name": "cstb-next",
  "version": "0.0.1",
  "private": true,
  "author": {
    "name": "Purp1e",
    "email": "zx8244@qq.com"
  },
  "scripts": {
    "next-start": "cross-env BROWSER=none next dev",
    "next-build": "next build",
    "tauri": "tauri",
    "build": "tauri build",
    "dev": "tauri dev",
    "lint": "next lint && biome check src/",
    "prepare": "husky"
  },
  "dependencies": {
    "@icon-park/react": "^1.4.2",
    "@reactuses/core": "^5.0.22",
    "@tauri-apps/api": "2.0.0-rc.5",
    "@tauri-apps/plugin-clipboard-manager": "2.0.0-rc.2",
    "@tauri-apps/plugin-dialog": "2.0.0-rc.1",
    "@tauri-apps/plugin-fs": "2.0.0-rc.2",
    "@tauri-apps/plugin-global-shortcut": "2.0.0-rc.1",
    "@tauri-apps/plugin-http": "2.0.0-rc.2",
    "@tauri-apps/plugin-notification": "2.0.0-rc.1",
    "@tauri-apps/plugin-os": "2.0.0-rc.1",
    "@tauri-apps/plugin-process": "2.0.0-rc.1",
    "@tauri-apps/plugin-shell": "2.0.0-rc.1",
    "@tauri-apps/plugin-store": "^2.1.0",
    "@types/throttle-debounce": "^5.0.2",
    "jotai": "^2.10.1",
    "next": "^14.2.16",
    "react": "^18.3.1",
    "react-dom": "^18.3.1",
    "throttle-debounce": "^5.0.2",
    "zustand": "5.0.0-rc.2"
  },
  "devDependencies": {
    "@biomejs/biome": "^1.9.4",
    "@tauri-apps/cli": "2.0.0-rc.16",
    "@testing-library/dom": "^10.4.0",
    "@testing-library/jest-dom": "^6.6.2",
    "@testing-library/react": "^16.0.1",
    "@testing-library/user-event": "^14.5.2",
    "@types/jest": "^29.5.14",
    "@types/node": "^22.8.1",
    "@types/react": "^18.3.12",
    "@types/react-dom": "^18.3.1",
    "@typescript-eslint/eslint-plugin": "^8.11.0",
    "@typescript-eslint/parser": "^8.11.0",
    "autoprefixer": "^10.4.20",
    "clsx": "^2.1.1",
    "cross-env": "^7.0.3",
    "cssnano": "^7.0.6",
    "eslint": "^8.57.1",
    "eslint-config-next": "^14.2.16",
    "husky": "^9.1.6",
    "lint-staged": "^15.2.10",
    "postcss": "^8.4.47",
    "postcss-import": "^16.1.0",
    "postcss-nesting": "^13.0.1",
    "tailwind-merge": "^2.5.4",
    "tailwindcss": "^3.4.14",
    "typescript": "^5.6.3"
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  }
}
